Api tokens

Get list of API tokens for an organisation

get

An authenticated user retrieves the list of tokens for the specified organisation (it requires admin permissions over the organisation)

Query parameters
offsetintegerOptional

Pagination offset

limitinteger · min: 1 · max: 100Optional

Pagination limit

orderBystringOptional

Order the results by this field, in this direction

Example: createdAt:descPattern: ^[a-zA-Z0-9\_]+(:(asc|desc))?$
Responses
chevron-right
200

OK

application/json
get
/api-tokens
200

OK

Get an API token for an organisation

get

Get an API token for the specified organisation (it requires admin permissions over the organisation)

Path parameters
tokenIdstring · uuidRequired
Responses
chevron-right
200

OK

application/json

API token model response

idstring · uuidRead-onlyOptional
namestringRequired

A friendly name for this token

descriptionstringOptional

A longer description for this token

tokenstringRead-onlyOptional

The API token

expirationstring · date-time · nullableRead-onlyOptional

The expiration date for the token

createdByTypestringRead-onlyOptional
createdByIdstringRead-onlyOptional
roleIdstring · uuidRead-onlyOptional

The role associated with the token

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
get
/api-tokens/{tokenId}
200

OK